Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.TimeStampServer Class Reference
Inheritance diagram for foxit.pdf.TimeStampServer:

## Public Types
enum | SendRequestResult { SendRequestResult.e_SendResultSuccess = 0, SendRequestResult.e_SendResultFailToCreateSocket = 1, SendRequestResult.e_SendResultFailToConnect = 2, SendRequestResult.e_SendResultFailToSendData = 3, SendRequestResult.e_SendResultFailToReceiveData = 4, SendRequestResult.e_SendResultFailToRequest = 5, SendRequestResult.e_SendResultFailToGetData = 6, SendRequestResult.e_SendResultOutOfMemory = 7 }
| Enumeration for the result of sending time stamp request. More...

## Public Member Functions
| TimeStampServer (TimeStampServer other)
| Constructor, with another time stamp server object. More...
byte [] | GetTimeStampMessage ()
| Get time stamp message. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
TimeStampServer.SendRequestResult | SendTimeStampRequest (byte[] request)
| Send time stamp request. More...

## Detailed Description

This class represents time stamp server. It can be used to send time stamp request and then get the message.

## Member Enumeration Documentation

## ◆ SendRequestResult

enum foxit.pdf.TimeStampServer.SendRequestResult
| strong

Enumeration for the result of sending time stamp request.

Values of this enumeration should be used alone.

Enumerator
e_SendResultSuccess | Send request successfully.
e_SendResultFailToCreateSocket | Fail to create socket during sending request process.
e_SendResultFailToConnect | Fail to connect during sending request process.
e_SendResultFailToSendData | Fail to send data during sending request process.
e_SendResultFailToReceiveData | Fail to receive data during sending request process.
e_SendResultFailToRequest | Fail to request during sending request process.
e_SendResultFailToGetData | Fail to get data during sending request process.
e_SendResultOutOfMemory | Out of memory during sending request process.

## Constructor & Destructor Documentation

## ◆ TimeStampServer()

foxit.pdf.TimeStampServer.TimeStampServer | ( | TimeStampServer | other | ) |
| inline

Constructor, with another time stamp server object.

Parameters

  [in] | other | Another time stamp server object.

## Member Function Documentation

## ◆ GetTimeStampMessage()

byte[] foxit.pdf.TimeStampServer.GetTimeStampMessage | ( |  | ) |
| inline

Get time stamp message.

This function is to get the time stamp message after function TimeStampServer.SendTimeStampRequest runs successfully.

Returns
  Time stamp message.

## ◆ IsEmpty()

bool foxit.pdf.TimeStampServer.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SendTimeStampRequest()

TimeStampServer.SendRequestResult foxit.pdf.TimeStampServer.SendTimeStampRequest | ( | byte [] | request | ) |
| inline

Send time stamp request.

Parameters

  [in] | request | Time stamp request to be sent. It should not be an empty string.

Returns
  Result value of the sending request process. Please refer to values starting from foxit.pdf.TimeStampServer.SendRequestResult.e_SendResultSuccess and this would be one of these values.